GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtAccessType Class Reference
GTPin: GEN Architecture

Type of access to memory region, register, etc. More...

`#include <gt_gpu_defs.h>`

## Public Member Functions
constexpr | GtAccessType (GT_ACCESS_TYPE v=GT_ACCESS_NONE)
| Conversion constructor.
constexpr | operator GT_ACCESS_TYPE () const
| Conversion operator.
constexpr bool | IsNone () const
| Return true for denied/unknown access.
constexpr bool | IsReadOnly () const
| Return true for a read-only access.
constexpr bool | IsWriteOnly () const
| Return true for a write-only access.
constexpr bool | IsReadWrite () const
| Return true for a read-write access.
constexpr bool | IsRead () const
| Return true for a read access.
constexpr bool | IsWrite () const
| Return true for a write access.
const char * | ToString () const
| Return string representation.
constexpr bool | Includes (GtAccessType other) const
| Construct access type from string.

## Detailed Description

Type of access to memory region, register, etc.

## Member Function Documentation

const char * gtpin::GtAccessType::ToString | ( |  | ) | const`[inline]`

Return string representation.

Return true if this access includes (wider than) 'other' access

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT